#ifndef PIDATATRANSFER_H
#define PIDATATRANSFER_H

#include "pibasetransfer.h"

class PIDataTransfer: public PIBaseTransfer
{
	PIOBJECT_SUBCLASS(PIDataTransfer, PIBaseTransfer)
public:
	PIDataTransfer() {;}
	~PIDataTransfer() {;}
	
	bool send(const PIByteArray &ba);
	const PIByteArray & data() {return data_;}
	
private:
	virtual PIByteArray buildPacket(Part p);
	virtual void receivePart(PIBaseTransfer::Part fi, PIByteArray ba, PIByteArray pheader);
	PIByteArray data_;
	
};


#endif // PIDATATRANSFER_H
